
QGIS Application - Bug report #15891

Crash when the first SVG path is empty

2016-11-24 05:16 AM - Mike Blechschmidt

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:2.18.4 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 23809

Description

If the first path in 

"Path(s) to search for Scalable Verctor Graphic (SVG) symbols" 

is empty, the selection of an SVG element is crashing in QGIS 2.18.

Older versions can handle this.

Associated revisions

Revision 6f759a87 - 2017-05-01 03:08 PM - Alexander Bruy

ignore empty SVG path (fix #15891)

Revision fe7d49a0 - 2017-05-03 08:07 AM - Alexander Bruy

Merge pull request #4470 from alexbruy/ignore-empty-svg-path

ignore empty SVG path (fix #15891)

Revision 0780756f - 2017-05-03 08:38 AM - Alexander Bruy

ignore empty SVG path (fix #15891)

(cherry picked from commit 6f759a87c9beda8b823ff107fdde680f3de9f720)

History

#1 - 2017-01-05 08:18 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Feedback

Cannot confirm on 2.18.2, on both Linux and Windows. No crash.

Please add more details.

#2 - 2017-01-06 02:04 AM - Mike Blechschmidt

- File Unbenannt.png added

- Assignee set to Giovanni Manghi
I have tested again with Windows and 2.18.2. It crashes.

See also https://lists.fossgis.de/pipermail/fossgis-talk-liste/2016-November/008228.html (german)

#3 - 2017-01-06 03:20 AM - Giovanni Manghi

- Priority changed from High to Severe/Regression

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.18.0 to 2.18.2

Confirmed now. Does not happen on LTR.

#4 - 2017-02-28 02:28 PM - Giovanni Manghi

- Target version set to Version 2.18

- Affected QGIS version changed from 2.18.2 to 2.18.4

- Assignee deleted (Giovanni Manghi)

2.18.4 also affected.

#5 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#6 - 2017-04-30 05:08 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#7 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#8 - 2017-05-01 03:09 PM - Alexander Bruy

- Pull Request or Patch supplied changed from No to Yes

- Description updated

Pull-request proposed https://github.com/qgis/QGIS/pull/4470

#9 - 2017-05-03 08:07 AM - Alexander Bruy

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|6f759a87c9beda8b823ff107fdde680f3de9f720.

#10 - 2017-05-05 06:40 PM - Giovanni Manghi

- Resolution set to fixed/implemented

Files

Unbenannt.png 55.3 KB 2017-01-06 Mike Blechschmidt
